import { z } from 'zod';

declare const ConfigCreate: z.ZodObject<{
    key: z.ZodString;
    value: z.ZodString;
}, "strip", z.ZodTypeAny, {
    value: string;
    key: string;
}, {
    value: string;
    key: string;
}>;
interface ConfigCreate extends z.TypeOf<typeof ConfigCreate> {
}

declare const ConfigInfo: z.ZodObject<{
    createdAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    key: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    namespace: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    updatedAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    value: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    namespace?: string | null | undefined;
    value?: string | null | undefined;
    key?: string | null | undefined;
    createdAt?: string | null | undefined;
    updatedAt?: string | null | undefined;
}, {
    namespace?: string | null | undefined;
    value?: string | null | undefined;
    key?: string | null | undefined;
    createdAt?: string | null | undefined;
    updatedAt?: string | null | undefined;
}>;
interface ConfigInfo extends z.TypeOf<typeof ConfigInfo> {
}

declare const ConfigUpdate: z.ZodObject<{
    value: z.ZodString;
}, "strip", z.ZodTypeAny, {
    value: string;
}, {
    value: string;
}>;
interface ConfigUpdate extends z.TypeOf<typeof ConfigUpdate> {
}

declare const FileUploadUrlInfo: z.ZodObject<{
    accessUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    contentType: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    method: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    url: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    url?: string | null | undefined;
    accessUrl?: string | null | undefined;
    contentType?: string | null | undefined;
    method?: string | null | undefined;
}, {
    url?: string | null | undefined;
    accessUrl?: string | null | undefined;
    contentType?: string | null | undefined;
    method?: string | null | undefined;
}>;
interface FileUploadUrlInfo extends z.TypeOf<typeof FileUploadUrlInfo> {
}

declare const AddCountryGroupRequest: z.ZodObject<{
    countries: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }, {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }>, "many">>>;
    countryGroupCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    countryGroupName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    countries?: {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }[] | null | undefined;
    countryGroupCode?: string | null | undefined;
    countryGroupName?: string | null | undefined;
}, {
    countries?: {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }[] | null | undefined;
    countryGroupCode?: string | null | undefined;
    countryGroupName?: string | null | undefined;
}>;
interface AddCountryGroupRequest extends z.TypeOf<typeof AddCountryGroupRequest> {
}

declare const AddCountryGroupResponse: z.ZodObject<{
    countries: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }, {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }>, "many">>>;
    countryGroupCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    countryGroupName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    countries?: {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }[] | null | undefined;
    countryGroupCode?: string | null | undefined;
    countryGroupName?: string | null | undefined;
}, {
    countries?: {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }[] | null | undefined;
    countryGroupCode?: string | null | undefined;
    countryGroupName?: string | null | undefined;
}>;
interface AddCountryGroupResponse extends z.TypeOf<typeof AddCountryGroupResponse> {
}

declare const CountryGroupObject: z.ZodObject<{
    countries: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }, {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }>, "many">>>;
    countryGroupCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    countryGroupName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    countries?: {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }[] | null | undefined;
    countryGroupCode?: string | null | undefined;
    countryGroupName?: string | null | undefined;
}, {
    countries?: {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }[] | null | undefined;
    countryGroupCode?: string | null | undefined;
    countryGroupName?: string | null | undefined;
}>;
interface CountryGroupObject extends z.TypeOf<typeof CountryGroupObject> {
}

declare const CountryObjectArray: z.ZodArray<z.ZodObject<{
    code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    code?: string | null | undefined;
    name?: string | null | undefined;
}, {
    code?: string | null | undefined;
    name?: string | null | undefined;
}>, "many">;
interface CountryObjectArray extends z.TypeOf<typeof CountryObjectArray> {
}

declare const RetrieveCountryGroupResponseArray: z.ZodArray<z.ZodObject<{
    countries: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }, {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }>, "many">>>;
    countryGroupCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    countryGroupName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    countries?: {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }[] | null | undefined;
    countryGroupCode?: string | null | undefined;
    countryGroupName?: string | null | undefined;
}, {
    countries?: {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }[] | null | undefined;
    countryGroupCode?: string | null | undefined;
    countryGroupName?: string | null | undefined;
}>, "many">;
interface RetrieveCountryGroupResponseArray extends z.TypeOf<typeof RetrieveCountryGroupResponseArray> {
}

declare const UpdateCountryGroupRequest: z.ZodObject<{
    countries: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodObject<{
        code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        name: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }, {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }>, "many">>>;
    countryGroupName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    countries?: {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }[] | null | undefined;
    countryGroupName?: string | null | undefined;
}, {
    countries?: {
        code?: string | null | undefined;
        name?: string | null | undefined;
    }[] | null | undefined;
    countryGroupName?: string | null | undefined;
}>;
interface UpdateCountryGroupRequest extends z.TypeOf<typeof UpdateCountryGroupRequest> {
}

declare const NamespaceContext: z.ZodObject<{
    namespace: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    publisherNamespace: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    studioNamespace: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    type: z.ZodNullable<z.ZodOptional<z.ZodEnum<["Game", "Publisher", "Studio"]>>>;
}, "strip", z.ZodTypeAny, {
    namespace?: string | null | undefined;
    type?: "Game" | "Publisher" | "Studio" | null | undefined;
    publisherNamespace?: string | null | undefined;
    studioNamespace?: string | null | undefined;
}, {
    namespace?: string | null | undefined;
    type?: "Game" | "Publisher" | "Studio" | null | undefined;
    publisherNamespace?: string | null | undefined;
    studioNamespace?: string | null | undefined;
}>;
interface NamespaceContext extends z.TypeOf<typeof NamespaceContext> {
}

declare const NamespaceCreate: z.ZodObject<{
    displayName: z.ZodString;
    namespace: z.ZodString;
}, "strip", z.ZodTypeAny, {
    namespace: string;
    displayName: string;
}, {
    namespace: string;
    displayName: string;
}>;
interface NamespaceCreate extends z.TypeOf<typeof NamespaceCreate> {
}

declare const NamespaceInfo: z.ZodObject<{
    clientId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    createdAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    displayName: z.ZodString;
    namespace: z.ZodString;
    parentNamespace: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    status: z.ZodNullable<z.ZodOptional<z.ZodEnum<["ACTIVE", "DELETED", "INACTIVE"]>>>;
    updatedAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    clientId?: string | null | undefined;
    status?: "ACTIVE" | "DELETED" | "INACTIVE" | null | undefined;
    createdAt?: string | null | undefined;
    updatedAt?: string | null | undefined;
    parentNamespace?: string | null | undefined;
    namespace: string;
    displayName: string;
}, {
    clientId?: string | null | undefined;
    status?: "ACTIVE" | "DELETED" | "INACTIVE" | null | undefined;
    createdAt?: string | null | undefined;
    updatedAt?: string | null | undefined;
    parentNamespace?: string | null | undefined;
    namespace: string;
    displayName: string;
}>;
interface NamespaceInfo extends z.TypeOf<typeof NamespaceInfo> {
}

declare const NamespaceInfoArray: z.ZodArray<z.ZodObject<{
    clientId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    createdAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    displayName: z.ZodString;
    namespace: z.ZodString;
    parentNamespace: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    status: z.ZodNullable<z.ZodOptional<z.ZodEnum<["ACTIVE", "DELETED", "INACTIVE"]>>>;
    updatedAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    clientId?: string | null | undefined;
    status?: "ACTIVE" | "DELETED" | "INACTIVE" | null | undefined;
    createdAt?: string | null | undefined;
    updatedAt?: string | null | undefined;
    parentNamespace?: string | null | undefined;
    namespace: string;
    displayName: string;
}, {
    clientId?: string | null | undefined;
    status?: "ACTIVE" | "DELETED" | "INACTIVE" | null | undefined;
    createdAt?: string | null | undefined;
    updatedAt?: string | null | undefined;
    parentNamespace?: string | null | undefined;
    namespace: string;
    displayName: string;
}>, "many">;
interface NamespaceInfoArray extends z.TypeOf<typeof NamespaceInfoArray> {
}

declare const NamespacePublisherInfo: z.ZodObject<{
    publisher: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    publisherNamespace: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    publisherNamespace?: string | null | undefined;
    publisher?: boolean | null | undefined;
}, {
    publisherNamespace?: string | null | undefined;
    publisher?: boolean | null | undefined;
}>;
interface NamespacePublisherInfo extends z.TypeOf<typeof NamespacePublisherInfo> {
}

declare const NamespaceStatusUpdate: z.ZodObject<{
    status: z.ZodEnum<["ACTIVE", "INACTIVE"]>;
}, "strip", z.ZodTypeAny, {
    status: "ACTIVE" | "INACTIVE";
}, {
    status: "ACTIVE" | "INACTIVE";
}>;
interface NamespaceStatusUpdate extends z.TypeOf<typeof NamespaceStatusUpdate> {
}

declare const NamespaceUpdate: z.ZodObject<{
    displayName: z.ZodString;
}, "strip", z.ZodTypeAny, {
    displayName: string;
}, {
    displayName: string;
}>;
interface NamespaceUpdate extends z.TypeOf<typeof NamespaceUpdate> {
}

declare const UserProfileAdmin: z.ZodObject<{
    avatarLargeUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarSmallUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    customAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    dateOfBirth: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    firstName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    language: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    lastName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    privateCustomAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    status: z.ZodNullable<z.ZodOptional<z.ZodEnum<["ACTIVE", "INACTIVE"]>>>;
    timeZone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    zipCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    status?: "ACTIVE" | "INACTIVE" | null | undefined;
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    dateOfBirth?: string | null | undefined;
    firstName?: string | null | undefined;
    language?: string | null | undefined;
    lastName?: string | null | undefined;
    privateCustomAttributes?: Record<string, any> | null | undefined;
    timeZone?: string | null | undefined;
    zipCode?: string | null | undefined;
}, {
    status?: "ACTIVE" | "INACTIVE" | null | undefined;
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    dateOfBirth?: string | null | undefined;
    firstName?: string | null | undefined;
    language?: string | null | undefined;
    lastName?: string | null | undefined;
    privateCustomAttributes?: Record<string, any> | null | undefined;
    timeZone?: string | null | undefined;
    zipCode?: string | null | undefined;
}>;
interface UserProfileAdmin extends z.TypeOf<typeof UserProfileAdmin> {
}

declare const UserProfileBulkRequest: z.ZodObject<{
    userIds: z.ZodNullable<z.ZodOptional<z.ZodArray<z.ZodString, "many">>>;
}, "strip", z.ZodTypeAny, {
    userIds?: string[] | null | undefined;
}, {
    userIds?: string[] | null | undefined;
}>;
interface UserProfileBulkRequest extends z.TypeOf<typeof UserProfileBulkRequest> {
}

declare const UserProfileInfo: z.ZodObject<{
    avatarLargeUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarSmallUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    customAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    dateOfBirth: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    firstName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    language: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    lastName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    namespace: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    publicId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    status: z.ZodNullable<z.ZodOptional<z.ZodEnum<["ACTIVE", "INACTIVE"]>>>;
    timeZone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    userId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    zipCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    namespace?: string | null | undefined;
    status?: "ACTIVE" | "INACTIVE" | null | undefined;
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    dateOfBirth?: string | null | undefined;
    firstName?: string | null | undefined;
    language?: string | null | undefined;
    lastName?: string | null | undefined;
    timeZone?: string | null | undefined;
    zipCode?: string | null | undefined;
    publicId?: string | null | undefined;
    userId?: string | null | undefined;
}, {
    namespace?: string | null | undefined;
    status?: "ACTIVE" | "INACTIVE" | null | undefined;
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    dateOfBirth?: string | null | undefined;
    firstName?: string | null | undefined;
    language?: string | null | undefined;
    lastName?: string | null | undefined;
    timeZone?: string | null | undefined;
    zipCode?: string | null | undefined;
    publicId?: string | null | undefined;
    userId?: string | null | undefined;
}>;
interface UserProfileInfo extends z.TypeOf<typeof UserProfileInfo> {
}

declare const UserProfilePrivateInfo: z.ZodObject<{
    avatarLargeUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarSmallUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    customAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    dateOfBirth: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    firstName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    language: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    lastName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    namespace: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    privateCustomAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    publicId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    status: z.ZodNullable<z.ZodOptional<z.ZodEnum<["ACTIVE", "INACTIVE"]>>>;
    timeZone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    userId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    zipCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    namespace?: string | null | undefined;
    status?: "ACTIVE" | "INACTIVE" | null | undefined;
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    dateOfBirth?: string | null | undefined;
    firstName?: string | null | undefined;
    language?: string | null | undefined;
    lastName?: string | null | undefined;
    privateCustomAttributes?: Record<string, any> | null | undefined;
    timeZone?: string | null | undefined;
    zipCode?: string | null | undefined;
    publicId?: string | null | undefined;
    userId?: string | null | undefined;
}, {
    namespace?: string | null | undefined;
    status?: "ACTIVE" | "INACTIVE" | null | undefined;
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    dateOfBirth?: string | null | undefined;
    firstName?: string | null | undefined;
    language?: string | null | undefined;
    lastName?: string | null | undefined;
    privateCustomAttributes?: Record<string, any> | null | undefined;
    timeZone?: string | null | undefined;
    zipCode?: string | null | undefined;
    publicId?: string | null | undefined;
    userId?: string | null | undefined;
}>;
interface UserProfilePrivateInfo extends z.TypeOf<typeof UserProfilePrivateInfo> {
}

declare const UserProfilePublicInfoArray: z.ZodArray<z.ZodObject<{
    avatarLargeUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarSmallUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    customAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    namespace: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    publicId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    timeZone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    userId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    namespace?: string | null | undefined;
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    timeZone?: string | null | undefined;
    publicId?: string | null | undefined;
    userId?: string | null | undefined;
}, {
    namespace?: string | null | undefined;
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    timeZone?: string | null | undefined;
    publicId?: string | null | undefined;
    userId?: string | null | undefined;
}>, "many">;
interface UserProfilePublicInfoArray extends z.TypeOf<typeof UserProfilePublicInfoArray> {
}

declare const UserProfileStatusUpdate: z.ZodObject<{
    status: z.ZodEnum<["ACTIVE", "INACTIVE"]>;
}, "strip", z.ZodTypeAny, {
    status: "ACTIVE" | "INACTIVE";
}, {
    status: "ACTIVE" | "INACTIVE";
}>;
interface UserProfileStatusUpdate extends z.TypeOf<typeof UserProfileStatusUpdate> {
}

declare const RetrieveTimeResponse: z.ZodObject<{
    currentTime: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    currentTime?: string | null | undefined;
}, {
    currentTime?: string | null | undefined;
}>;
interface RetrieveTimeResponse extends z.TypeOf<typeof RetrieveTimeResponse> {
}

declare const NamespaceSimpleInfo: z.ZodObject<{
    displayName: z.ZodString;
}, "strip", z.ZodTypeAny, {
    displayName: string;
}, {
    displayName: string;
}>;
interface NamespaceSimpleInfo extends z.TypeOf<typeof NamespaceSimpleInfo> {
}

declare const UserProfileCreate: z.ZodObject<{
    avatarLargeUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarSmallUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    customAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    dateOfBirth: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    firstName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    language: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    lastName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    timeZone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    dateOfBirth?: string | null | undefined;
    firstName?: string | null | undefined;
    language?: string | null | undefined;
    lastName?: string | null | undefined;
    timeZone?: string | null | undefined;
}, {
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    dateOfBirth?: string | null | undefined;
    firstName?: string | null | undefined;
    language?: string | null | undefined;
    lastName?: string | null | undefined;
    timeZone?: string | null | undefined;
}>;
interface UserProfileCreate extends z.TypeOf<typeof UserProfileCreate> {
}

declare const UserProfilePrivateCreate: z.ZodObject<{
    avatarLargeUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarSmallUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    customAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    dateOfBirth: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    firstName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    language: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    lastName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    privateCustomAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    timeZone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    dateOfBirth?: string | null | undefined;
    firstName?: string | null | undefined;
    language?: string | null | undefined;
    lastName?: string | null | undefined;
    privateCustomAttributes?: Record<string, any> | null | undefined;
    timeZone?: string | null | undefined;
}, {
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    dateOfBirth?: string | null | undefined;
    firstName?: string | null | undefined;
    language?: string | null | undefined;
    lastName?: string | null | undefined;
    privateCustomAttributes?: Record<string, any> | null | undefined;
    timeZone?: string | null | undefined;
}>;
interface UserProfilePrivateCreate extends z.TypeOf<typeof UserProfilePrivateCreate> {
}

declare const UserProfilePublicInfo: z.ZodObject<{
    avatarLargeUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarSmallUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    customAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    namespace: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    publicId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    timeZone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    userId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    namespace?: string | null | undefined;
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    timeZone?: string | null | undefined;
    publicId?: string | null | undefined;
    userId?: string | null | undefined;
}, {
    namespace?: string | null | undefined;
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    timeZone?: string | null | undefined;
    publicId?: string | null | undefined;
    userId?: string | null | undefined;
}>;
interface UserProfilePublicInfo extends z.TypeOf<typeof UserProfilePublicInfo> {
}

declare const UserProfileUpdate: z.ZodObject<{
    avatarLargeUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarSmallUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    customAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    dateOfBirth: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    firstName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    language: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    lastName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    privateCustomAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    timeZone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    zipCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    dateOfBirth?: string | null | undefined;
    firstName?: string | null | undefined;
    language?: string | null | undefined;
    lastName?: string | null | undefined;
    privateCustomAttributes?: Record<string, any> | null | undefined;
    timeZone?: string | null | undefined;
    zipCode?: string | null | undefined;
}, {
    avatarLargeUrl?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    dateOfBirth?: string | null | undefined;
    firstName?: string | null | undefined;
    language?: string | null | undefined;
    lastName?: string | null | undefined;
    privateCustomAttributes?: Record<string, any> | null | undefined;
    timeZone?: string | null | undefined;
    zipCode?: string | null | undefined;
}>;
interface UserProfileUpdate extends z.TypeOf<typeof UserProfileUpdate> {
}

declare const UserZipCode: z.ZodObject<{
    zipCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    zipCode?: string | null | undefined;
}, {
    zipCode?: string | null | undefined;
}>;
interface UserZipCode extends z.TypeOf<typeof UserZipCode> {
}

declare const UserZipCodeUpdate: z.ZodObject<{
    zipCode: z.ZodString;
}, "strip", z.ZodTypeAny, {
    zipCode: string;
}, {
    zipCode: string;
}>;
interface UserZipCodeUpdate extends z.TypeOf<typeof UserZipCodeUpdate> {
}

export { AddCountryGroupRequest as A, ConfigCreate as C, FileUploadUrlInfo as F, NamespaceInfoArray as N, RetrieveCountryGroupResponseArray as R, UpdateCountryGroupRequest as U, ConfigInfo as a, ConfigUpdate as b, CountryObjectArray as c, AddCountryGroupResponse as d, CountryGroupObject as e, NamespaceCreate as f, NamespaceInfo as g, NamespaceUpdate as h, NamespaceStatusUpdate as i, NamespaceContext as j, NamespacePublisherInfo as k, UserProfileBulkRequest as l, UserProfilePublicInfoArray as m, UserProfileInfo as n, UserProfilePrivateInfo as o, UserProfileAdmin as p, UserProfileStatusUpdate as q, RetrieveTimeResponse as r, NamespaceSimpleInfo as s, UserProfilePrivateCreate as t, UserProfileUpdate as u, UserProfileCreate as v, UserZipCode as w, UserZipCodeUpdate as x, UserProfilePublicInfo as y };
