import { AccelByteSDK, ApiError, SdkSetConfigParam } from '@accelbyte/sdk';
import { AxiosError, AxiosResponse } from 'axios';
import { UseMutationOptions, UseMutationResult, UseQueryOptions, UseQueryResult } from '@tanstack/react-query';
import { a as ConfigInfo, C as ConfigCreate, b as ConfigUpdate, F as FileUploadUrlInfo, c as CountryObjectArray, R as RetrieveCountryGroupResponseArray, d as AddCountryGroupResponse, A as AddCountryGroupRequest, e as CountryGroupObject, U as UpdateCountryGroupRequest, N as NamespaceInfoArray, g as NamespaceInfo, f as NamespaceCreate, h as NamespaceUpdate, i as NamespaceStatusUpdate, j as NamespaceContext, k as NamespacePublisherInfo, m as UserProfilePublicInfoArray, l as UserProfileBulkRequest, n as UserProfileInfo, o as UserProfilePrivateInfo, p as UserProfileAdmin, q as UserProfileStatusUpdate, r as RetrieveTimeResponse, s as NamespaceSimpleInfo, t as UserProfilePrivateCreate, u as UserProfileUpdate, v as UserProfileCreate, w as UserZipCode, x as UserZipCodeUpdate, y as UserProfilePublicInfo } from './UserZipCodeUpdate-D4tGm-x-.js';
import 'zod';

/**
 * AUTO GENERATED
 */

declare enum Key_AnonymizationAdmin {
    AnonymizationProfile_ByUserId = "Basic.AnonymizationAdmin.AnonymizationProfile_ByUserId"
}
declare const useAnonymizationAdminApi_DeleteAnonymizationProfile_ByUserId: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<unknown, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
}>, "mutationKey">, callback?: (data: unknown) => void) => UseMutationResult<unknown, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
}>;

/**
 * AUTO GENERATED
 */

declare enum Key_ConfigAdmin {
    Config = "Basic.ConfigAdmin.Config",
    Config_ByConfigKey = "Basic.ConfigAdmin.Config_ByConfigKey",
    PublisherConfig_ByConfigKey = "Basic.ConfigAdmin.PublisherConfig_ByConfigKey"
}
declare const useConfigAdminApi_CreateConfig: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<ConfigInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    data: ConfigCreate;
}>, "mutationKey">, callback?: (data: ConfigInfo) => void) => UseMutationResult<ConfigInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    data: ConfigCreate;
}>;
declare const useConfigAdminApi_DeleteConfig_ByConfigKey: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<unknown, AxiosError<ApiError>, SdkSetConfigParam & {
    configKey: string;
}>, "mutationKey">, callback?: (data: unknown) => void) => UseMutationResult<unknown, AxiosError<ApiError>, SdkSetConfigParam & {
    configKey: string;
}>;
declare const useConfigAdminApi_GetConfig_ByConfigKey: (sdk: AccelByteSDK, input: SdkSetConfigParam & {
    configKey: string;
}, options?: Omit<UseQueryOptions<ConfigInfo, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<ConfigInfo>) => void) => UseQueryResult<ConfigInfo, AxiosError<ApiError>>;
declare const useConfigAdminApi_PatchConfig_ByConfigKey: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<ConfigInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    configKey: string;
    data: ConfigUpdate;
}>, "mutationKey">, callback?: (data: ConfigInfo) => void) => UseMutationResult<ConfigInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    configKey: string;
    data: ConfigUpdate;
}>;
declare const useConfigAdminApi_GetPublisherConfig_ByConfigKey: (sdk: AccelByteSDK, input: SdkSetConfigParam & {
    configKey: string;
}, options?: Omit<UseQueryOptions<ConfigInfo, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<ConfigInfo>) => void) => UseQueryResult<ConfigInfo, AxiosError<ApiError>>;

/**
 * AUTO GENERATED
 */

declare enum Key_FileUploadAdmin {
    File_ByUserId = "Basic.FileUploadAdmin.File_ByUserId",
    File_ByFolder = "Basic.FileUploadAdmin.File_ByFolder"
}
declare const useFileUploadAdminApi_CreateFile_ByUserId: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<FileUploadUrlInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    queryParams: {
        fileType: string | null;
        category?: string | null;
    };
}>, "mutationKey">, callback?: (data: FileUploadUrlInfo) => void) => UseMutationResult<FileUploadUrlInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    queryParams: {
        fileType: string | null;
        category?: string | null;
    };
}>;
declare const useFileUploadAdminApi_CreateFile_ByFolder: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<FileUploadUrlInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    folder: string;
    queryParams: {
        fileType: string | null;
    };
}>, "mutationKey">, callback?: (data: FileUploadUrlInfo) => void) => UseMutationResult<FileUploadUrlInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    folder: string;
    queryParams: {
        fileType: string | null;
    };
}>;

/**
 * AUTO GENERATED
 */

declare enum Key_MiscAdmin {
    MiscCountries = "Basic.MiscAdmin.MiscCountries",
    MiscLanguages = "Basic.MiscAdmin.MiscLanguages",
    MiscTimezones = "Basic.MiscAdmin.MiscTimezones",
    MiscCountrygroups = "Basic.MiscAdmin.MiscCountrygroups",
    MiscCountrygroup = "Basic.MiscAdmin.MiscCountrygroup",
    MiscCountrygroup_ByCountryGroupCode = "Basic.MiscAdmin.MiscCountrygroup_ByCountryGroupCode"
}
declare const useMiscAdminApi_GetMiscCountries: (sdk: AccelByteSDK, input: SdkSetConfigParam & {
    queryParams?: {
        lang?: string | null;
    };
}, options?: Omit<UseQueryOptions<CountryObjectArray, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<CountryObjectArray>) => void) => UseQueryResult<CountryObjectArray, AxiosError<ApiError>>;
declare const useMiscAdminApi_GetMiscLanguages: (sdk: AccelByteSDK, input: SdkSetConfigParam, options?: Omit<UseQueryOptions<unknown, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<unknown>) => void) => UseQueryResult<unknown, AxiosError<ApiError>>;
declare const useMiscAdminApi_GetMiscTimezones: (sdk: AccelByteSDK, input: SdkSetConfigParam, options?: Omit<UseQueryOptions<unknown, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<unknown>) => void) => UseQueryResult<unknown, AxiosError<ApiError>>;
declare const useMiscAdminApi_GetMiscCountrygroups: (sdk: AccelByteSDK, input: SdkSetConfigParam & {
    queryParams?: {
        groupCode?: string | null;
    };
}, options?: Omit<UseQueryOptions<RetrieveCountryGroupResponseArray, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<RetrieveCountryGroupResponseArray>) => void) => UseQueryResult<RetrieveCountryGroupResponseArray, AxiosError<ApiError>>;
declare const useMiscAdminApi_CreateMiscCountrygroup: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<AddCountryGroupResponse, AxiosError<ApiError>, SdkSetConfigParam & {
    data: AddCountryGroupRequest;
}>, "mutationKey">, callback?: (data: AddCountryGroupResponse) => void) => UseMutationResult<AddCountryGroupResponse, AxiosError<ApiError>, SdkSetConfigParam & {
    data: AddCountryGroupRequest;
}>;
declare const useMiscAdminApi_DeleteMiscCountrygroup_ByCountryGroupCode: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<unknown, AxiosError<ApiError>, SdkSetConfigParam & {
    countryGroupCode: string;
}>, "mutationKey">, callback?: (data: unknown) => void) => UseMutationResult<unknown, AxiosError<ApiError>, SdkSetConfigParam & {
    countryGroupCode: string;
}>;
declare const useMiscAdminApi_UpdateMiscCountrygroup_ByCountryGroupCode: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<CountryGroupObject, AxiosError<ApiError>, SdkSetConfigParam & {
    countryGroupCode: string;
    data: UpdateCountryGroupRequest;
}>, "mutationKey">, callback?: (data: CountryGroupObject) => void) => UseMutationResult<CountryGroupObject, AxiosError<ApiError>, SdkSetConfigParam & {
    countryGroupCode: string;
    data: UpdateCountryGroupRequest;
}>;

/**
 * AUTO GENERATED
 */

declare enum Key_NamespaceAdmin {
    Namespaces = "Basic.NamespaceAdmin.Namespaces",
    Namespace = "Basic.NamespaceAdmin.Namespace",
    Namespace_ByNamespace = "Basic.NamespaceAdmin.Namespace_ByNamespace",
    Game = "Basic.NamespaceAdmin.Game",
    Basic = "Basic.NamespaceAdmin.Basic",
    Child = "Basic.NamespaceAdmin.Child",
    Status = "Basic.NamespaceAdmin.Status",
    Context = "Basic.NamespaceAdmin.Context",
    Publisher = "Basic.NamespaceAdmin.Publisher"
}
declare const useNamespaceAdminApi_GetNamespaces: (sdk: AccelByteSDK, input: SdkSetConfigParam & {
    queryParams?: {
        activeOnly?: boolean | null;
    };
}, options?: Omit<UseQueryOptions<NamespaceInfoArray, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<NamespaceInfoArray>) => void) => UseQueryResult<NamespaceInfoArray, AxiosError<ApiError>>;
declare const useNamespaceAdminApi_CreateNamespace: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<NamespaceInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    data: NamespaceCreate;
}>, "mutationKey">, callback?: (data: NamespaceInfo) => void) => UseMutationResult<NamespaceInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    data: NamespaceCreate;
}>;
declare const useNamespaceAdminApi_DeleteNamespace_ByNamespace: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<NamespaceInfo, AxiosError<ApiError>, SdkSetConfigParam>, "mutationKey">, callback?: (data: NamespaceInfo) => void) => UseMutationResult<NamespaceInfo, AxiosError<ApiError>, SdkSetConfigParam>;
declare const useNamespaceAdminApi_GetNamespace_ByNamespace: (sdk: AccelByteSDK, input: SdkSetConfigParam & {
    queryParams?: {
        activeOnly?: boolean | null;
    };
}, options?: Omit<UseQueryOptions<NamespaceInfo, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<NamespaceInfo>) => void) => UseQueryResult<NamespaceInfo, AxiosError<ApiError>>;
declare const useNamespaceAdminApi_GetGame: (sdk: AccelByteSDK, input: SdkSetConfigParam & {
    queryParams?: {
        activeOnly?: boolean | null;
    };
}, options?: Omit<UseQueryOptions<NamespaceInfoArray, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<NamespaceInfoArray>) => void) => UseQueryResult<NamespaceInfoArray, AxiosError<ApiError>>;
declare const useNamespaceAdminApi_PatchBasic: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<NamespaceInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    data: NamespaceUpdate;
}>, "mutationKey">, callback?: (data: NamespaceInfo) => void) => UseMutationResult<NamespaceInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    data: NamespaceUpdate;
}>;
declare const useNamespaceAdminApi_GetChild: (sdk: AccelByteSDK, input: SdkSetConfigParam & {
    queryParams?: {
        activeOnly?: boolean | null;
    };
}, options?: Omit<UseQueryOptions<NamespaceInfoArray, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<NamespaceInfoArray>) => void) => UseQueryResult<NamespaceInfoArray, AxiosError<ApiError>>;
declare const useNamespaceAdminApi_PatchStatus: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<NamespaceInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    data: NamespaceStatusUpdate;
}>, "mutationKey">, callback?: (data: NamespaceInfo) => void) => UseMutationResult<NamespaceInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    data: NamespaceStatusUpdate;
}>;
declare const useNamespaceAdminApi_GetContext: (sdk: AccelByteSDK, input: SdkSetConfigParam, options?: Omit<UseQueryOptions<NamespaceContext, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<NamespaceContext>) => void) => UseQueryResult<NamespaceContext, AxiosError<ApiError>>;
declare const useNamespaceAdminApi_GetPublisher: (sdk: AccelByteSDK, input: SdkSetConfigParam, options?: Omit<UseQueryOptions<NamespacePublisherInfo, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<NamespacePublisherInfo>) => void) => UseQueryResult<NamespacePublisherInfo, AxiosError<ApiError>>;

/**
 * AUTO GENERATED
 */

declare enum Key_UserProfileAdmin {
    ProfilePublic = "Basic.UserProfileAdmin.ProfilePublic",
    ProfilesByPublicId = "Basic.UserProfileAdmin.ProfilesByPublicId",
    Profile_ByUserId = "Basic.UserProfileAdmin.Profile_ByUserId",
    Profiles_ByUserId = "Basic.UserProfileAdmin.Profiles_ByUserId",
    ProfileStatus_ByUserId = "Basic.UserProfileAdmin.ProfileStatus_ByUserId",
    ProfilesCustomAttributes_ByUserId = "Basic.UserProfileAdmin.ProfilesCustomAttributes_ByUserId",
    ProfileCustomAttribute_ByUserId = "Basic.UserProfileAdmin.ProfileCustomAttribute_ByUserId",
    ProfilesPrivateCustomAttributes_ByUserId = "Basic.UserProfileAdmin.ProfilesPrivateCustomAttributes_ByUserId",
    ProfilePrivateCustomAttribute_ByUserId = "Basic.UserProfileAdmin.ProfilePrivateCustomAttribute_ByUserId"
}
declare const useUserProfileAdminApi_CreateProfilePublic: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<UserProfilePublicInfoArray, AxiosError<ApiError>, SdkSetConfigParam & {
    data: UserProfileBulkRequest;
}>, "mutationKey">, callback?: (data: UserProfilePublicInfoArray) => void) => UseMutationResult<UserProfilePublicInfoArray, AxiosError<ApiError>, SdkSetConfigParam & {
    data: UserProfileBulkRequest;
}>;
declare const useUserProfileAdminApi_GetProfilesByPublicId: (sdk: AccelByteSDK, input: SdkSetConfigParam & {
    queryParams: {
        publicId: string | null;
    };
}, options?: Omit<UseQueryOptions<UserProfileInfo, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<UserProfileInfo>) => void) => UseQueryResult<UserProfileInfo, AxiosError<ApiError>>;
declare const useUserProfileAdminApi_DeleteProfile_ByUserId: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<UserProfilePrivateInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
}>, "mutationKey">, callback?: (data: UserProfilePrivateInfo) => void) => UseMutationResult<UserProfilePrivateInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
}>;
declare const useUserProfileAdminApi_GetProfiles_ByUserId: (sdk: AccelByteSDK, input: SdkSetConfigParam & {
    userId: string;
}, options?: Omit<UseQueryOptions<UserProfilePrivateInfo, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<UserProfilePrivateInfo>) => void) => UseQueryResult<UserProfilePrivateInfo, AxiosError<ApiError>>;
declare const useUserProfileAdminApi_UpdateProfile_ByUserId: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<UserProfilePrivateInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    data: UserProfileAdmin;
}>, "mutationKey">, callback?: (data: UserProfilePrivateInfo) => void) => UseMutationResult<UserProfilePrivateInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    data: UserProfileAdmin;
}>;
declare const useUserProfileAdminApi_PatchProfileStatus_ByUserId: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<UserProfilePrivateInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    data: UserProfileStatusUpdate;
}>, "mutationKey">, callback?: (data: UserProfilePrivateInfo) => void) => UseMutationResult<UserProfilePrivateInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    data: UserProfileStatusUpdate;
}>;
declare const useUserProfileAdminApi_GetProfilesCustomAttributes_ByUserId: (sdk: AccelByteSDK, input: SdkSetConfigParam & {
    userId: string;
}, options?: Omit<UseQueryOptions<unknown, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<unknown>) => void) => UseQueryResult<unknown, AxiosError<ApiError>>;
declare const useUserProfileAdminApi_UpdateProfileCustomAttribute_ByUserId: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<unknown, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    data: any;
}>, "mutationKey">, callback?: (data: unknown) => void) => UseMutationResult<unknown, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    data: any;
}>;
declare const useUserProfileAdminApi_GetProfilesPrivateCustomAttributes_ByUserId: (sdk: AccelByteSDK, input: SdkSetConfigParam & {
    userId: string;
}, options?: Omit<UseQueryOptions<unknown, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<unknown>) => void) => UseQueryResult<unknown, AxiosError<ApiError>>;
declare const useUserProfileAdminApi_UpdateProfilePrivateCustomAttribute_ByUserId: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<unknown, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    data: any;
}>, "mutationKey">, callback?: (data: unknown) => void) => UseMutationResult<unknown, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    data: any;
}>;

/**
 * AUTO GENERATED
 */

declare enum Key_FileUpload {
    File_ByUserId = "Basic.FileUpload.File_ByUserId",
    File_ByFolder = "Basic.FileUpload.File_ByFolder"
}
declare const useFileUploadApi_CreateFile_ByUserId: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<FileUploadUrlInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    queryParams: {
        fileType: string | null;
        category?: string | null;
    };
}>, "mutationKey">, callback?: (data: FileUploadUrlInfo) => void) => UseMutationResult<FileUploadUrlInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    queryParams: {
        fileType: string | null;
        category?: string | null;
    };
}>;
declare const useFileUploadApi_CreateFile_ByFolder: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<FileUploadUrlInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    folder: string;
    queryParams: {
        fileType: string | null;
    };
}>, "mutationKey">, callback?: (data: FileUploadUrlInfo) => void) => UseMutationResult<FileUploadUrlInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    folder: string;
    queryParams: {
        fileType: string | null;
    };
}>;

/**
 * AUTO GENERATED
 */

declare enum Key_Misc {
    MiscTime = "Basic.Misc.MiscTime",
    MiscCountries = "Basic.Misc.MiscCountries",
    MiscLanguages = "Basic.Misc.MiscLanguages",
    MiscTimezones = "Basic.Misc.MiscTimezones"
}
declare const useMiscApi_GetMiscTime: (sdk: AccelByteSDK, input: SdkSetConfigParam, options?: Omit<UseQueryOptions<RetrieveTimeResponse, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<RetrieveTimeResponse>) => void) => UseQueryResult<RetrieveTimeResponse, AxiosError<ApiError>>;
declare const useMiscApi_GetMiscCountries: (sdk: AccelByteSDK, input: SdkSetConfigParam & {
    queryParams?: {
        lang?: string | null;
    };
}, options?: Omit<UseQueryOptions<CountryObjectArray, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<CountryObjectArray>) => void) => UseQueryResult<CountryObjectArray, AxiosError<ApiError>>;
declare const useMiscApi_GetMiscLanguages: (sdk: AccelByteSDK, input: SdkSetConfigParam, options?: Omit<UseQueryOptions<unknown, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<unknown>) => void) => UseQueryResult<unknown, AxiosError<ApiError>>;
declare const useMiscApi_GetMiscTimezones: (sdk: AccelByteSDK, input: SdkSetConfigParam, options?: Omit<UseQueryOptions<unknown, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<unknown>) => void) => UseQueryResult<unknown, AxiosError<ApiError>>;

/**
 * AUTO GENERATED
 */

declare enum Key_Namespace {
    Namespaces = "Basic.Namespace.Namespaces",
    Namespace_ByNamespace = "Basic.Namespace.Namespace_ByNamespace",
    Publisher = "Basic.Namespace.Publisher"
}
declare const useNamespaceApi_GetNamespaces: (sdk: AccelByteSDK, input: SdkSetConfigParam & {
    queryParams?: {
        activeOnly?: boolean | null;
    };
}, options?: Omit<UseQueryOptions<NamespaceInfoArray, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<NamespaceInfoArray>) => void) => UseQueryResult<NamespaceInfoArray, AxiosError<ApiError>>;
declare const useNamespaceApi_GetNamespace_ByNamespace: (sdk: AccelByteSDK, input: SdkSetConfigParam, options?: Omit<UseQueryOptions<NamespaceSimpleInfo, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<NamespaceSimpleInfo>) => void) => UseQueryResult<NamespaceSimpleInfo, AxiosError<ApiError>>;
declare const useNamespaceApi_GetPublisher: (sdk: AccelByteSDK, input: SdkSetConfigParam, options?: Omit<UseQueryOptions<NamespacePublisherInfo, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<NamespacePublisherInfo>) => void) => UseQueryResult<NamespacePublisherInfo, AxiosError<ApiError>>;

/**
 * AUTO GENERATED
 */

declare enum Key_UserProfile {
    ProfilesPublic = "Basic.UserProfile.ProfilesPublic",
    ProfilePublic = "Basic.UserProfile.ProfilePublic",
    UsersMeProfiles = "Basic.UserProfile.UsersMeProfiles",
    UserMeProfile = "Basic.UserProfile.UserMeProfile",
    Profiles_ByUserId = "Basic.UserProfile.Profiles_ByUserId",
    Profile_ByUserId = "Basic.UserProfile.Profile_ByUserId",
    UsersMeProfilesZipCode = "Basic.UserProfile.UsersMeProfilesZipCode",
    UserMeProfileZipCode = "Basic.UserProfile.UserMeProfileZipCode",
    ProfilesPublicByPublicId = "Basic.UserProfile.ProfilesPublicByPublicId",
    ProfilesPublic_ByUserId = "Basic.UserProfile.ProfilesPublic_ByUserId",
    ProfileStatus_ByUserId = "Basic.UserProfile.ProfileStatus_ByUserId",
    ProfilesCustomAttributes_ByUserId = "Basic.UserProfile.ProfilesCustomAttributes_ByUserId",
    ProfileCustomAttribute_ByUserId = "Basic.UserProfile.ProfileCustomAttribute_ByUserId",
    UsersMeProfilesPrivateCustomAttributes = "Basic.UserProfile.UsersMeProfilesPrivateCustomAttributes",
    UserMeProfilePrivateCustomAttribute = "Basic.UserProfile.UserMeProfilePrivateCustomAttribute"
}
declare const useUserProfileApi_GetProfilesPublic: (sdk: AccelByteSDK, input: SdkSetConfigParam & {
    queryParams: {
        userIds: string | null;
    };
}, options?: Omit<UseQueryOptions<UserProfilePublicInfoArray, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<UserProfilePublicInfoArray>) => void) => UseQueryResult<UserProfilePublicInfoArray, AxiosError<ApiError>>;
declare const useUserProfileApi_CreateProfilePublic: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<UserProfilePublicInfoArray, AxiosError<ApiError>, SdkSetConfigParam & {
    data: UserProfileBulkRequest;
}>, "mutationKey">, callback?: (data: UserProfilePublicInfoArray) => void) => UseMutationResult<UserProfilePublicInfoArray, AxiosError<ApiError>, SdkSetConfigParam & {
    data: UserProfileBulkRequest;
}>;
declare const useUserProfileApi_GetUsersMeProfiles: (sdk: AccelByteSDK, input: SdkSetConfigParam, options?: Omit<UseQueryOptions<UserProfilePrivateInfo, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<UserProfilePrivateInfo>) => void) => UseQueryResult<UserProfilePrivateInfo, AxiosError<ApiError>>;
declare const useUserProfileApi_CreateUserMeProfile: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<UserProfilePrivateInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    data: UserProfilePrivateCreate;
}>, "mutationKey">, callback?: (data: UserProfilePrivateInfo) => void) => UseMutationResult<UserProfilePrivateInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    data: UserProfilePrivateCreate;
}>;
declare const useUserProfileApi_UpdateUserMeProfile: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<UserProfilePrivateInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    data: UserProfileUpdate;
}>, "mutationKey">, callback?: (data: UserProfilePrivateInfo) => void) => UseMutationResult<UserProfilePrivateInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    data: UserProfileUpdate;
}>;
declare const useUserProfileApi_GetProfiles_ByUserId: (sdk: AccelByteSDK, input: SdkSetConfigParam & {
    userId: string;
}, options?: Omit<UseQueryOptions<UserProfileInfo, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<UserProfileInfo>) => void) => UseQueryResult<UserProfileInfo, AxiosError<ApiError>>;
declare const useUserProfileApi_CreateProfile_ByUserId: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<UserProfileInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    data: UserProfileCreate;
}>, "mutationKey">, callback?: (data: UserProfileInfo) => void) => UseMutationResult<UserProfileInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    data: UserProfileCreate;
}>;
declare const useUserProfileApi_UpdateProfile_ByUserId: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<UserProfileInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    data: UserProfileUpdate;
}>, "mutationKey">, callback?: (data: UserProfileInfo) => void) => UseMutationResult<UserProfileInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    data: UserProfileUpdate;
}>;
declare const useUserProfileApi_GetUsersMeProfilesZipCode: (sdk: AccelByteSDK, input: SdkSetConfigParam, options?: Omit<UseQueryOptions<UserZipCode, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<UserZipCode>) => void) => UseQueryResult<UserZipCode, AxiosError<ApiError>>;
declare const useUserProfileApi_PatchUserMeProfileZipCode: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<UserZipCode, AxiosError<ApiError>, SdkSetConfigParam & {
    data: UserZipCodeUpdate;
}>, "mutationKey">, callback?: (data: UserZipCode) => void) => UseMutationResult<UserZipCode, AxiosError<ApiError>, SdkSetConfigParam & {
    data: UserZipCodeUpdate;
}>;
declare const useUserProfileApi_GetProfilesPublicByPublicId: (sdk: AccelByteSDK, input: SdkSetConfigParam & {
    queryParams: {
        publicId: string | null;
    };
}, options?: Omit<UseQueryOptions<UserProfilePublicInfo, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<UserProfilePublicInfo>) => void) => UseQueryResult<UserProfilePublicInfo, AxiosError<ApiError>>;
declare const useUserProfileApi_GetProfilesPublic_ByUserId: (sdk: AccelByteSDK, input: SdkSetConfigParam & {
    userId: string;
}, options?: Omit<UseQueryOptions<UserProfilePublicInfo, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<UserProfilePublicInfo>) => void) => UseQueryResult<UserProfilePublicInfo, AxiosError<ApiError>>;
declare const useUserProfileApi_PatchProfileStatus_ByUserId: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<UserProfileInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    data: UserProfileStatusUpdate;
}>, "mutationKey">, callback?: (data: UserProfileInfo) => void) => UseMutationResult<UserProfileInfo, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    data: UserProfileStatusUpdate;
}>;
declare const useUserProfileApi_GetProfilesCustomAttributes_ByUserId: (sdk: AccelByteSDK, input: SdkSetConfigParam & {
    userId: string;
}, options?: Omit<UseQueryOptions<unknown, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<unknown>) => void) => UseQueryResult<unknown, AxiosError<ApiError>>;
declare const useUserProfileApi_UpdateProfileCustomAttribute_ByUserId: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<unknown, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    data: any;
}>, "mutationKey">, callback?: (data: unknown) => void) => UseMutationResult<unknown, AxiosError<ApiError>, SdkSetConfigParam & {
    userId: string;
    data: any;
}>;
declare const useUserProfileApi_GetUsersMeProfilesPrivateCustomAttributes: (sdk: AccelByteSDK, input: SdkSetConfigParam, options?: Omit<UseQueryOptions<unknown, AxiosError<ApiError>>, "queryKey">, callback?: (data: AxiosResponse<unknown>) => void) => UseQueryResult<unknown, AxiosError<ApiError>>;
declare const useUserProfileApi_UpdateUserMeProfilePrivateCustomAttribute: (sdk: AccelByteSDK, options?: Omit<UseMutationOptions<unknown, AxiosError<ApiError>, SdkSetConfigParam & {
    data: any;
}>, "mutationKey">, callback?: (data: unknown) => void) => UseMutationResult<unknown, AxiosError<ApiError>, SdkSetConfigParam & {
    data: any;
}>;

export { Key_AnonymizationAdmin, Key_ConfigAdmin, Key_FileUpload, Key_FileUploadAdmin, Key_Misc, Key_MiscAdmin, Key_Namespace, Key_NamespaceAdmin, Key_UserProfile, Key_UserProfileAdmin, useAnonymizationAdminApi_DeleteAnonymizationProfile_ByUserId, useConfigAdminApi_CreateConfig, useConfigAdminApi_DeleteConfig_ByConfigKey, useConfigAdminApi_GetConfig_ByConfigKey, useConfigAdminApi_GetPublisherConfig_ByConfigKey, useConfigAdminApi_PatchConfig_ByConfigKey, useFileUploadAdminApi_CreateFile_ByFolder, useFileUploadAdminApi_CreateFile_ByUserId, useFileUploadApi_CreateFile_ByFolder, useFileUploadApi_CreateFile_ByUserId, useMiscAdminApi_CreateMiscCountrygroup, useMiscAdminApi_DeleteMiscCountrygroup_ByCountryGroupCode, useMiscAdminApi_GetMiscCountries, useMiscAdminApi_GetMiscCountrygroups, useMiscAdminApi_GetMiscLanguages, useMiscAdminApi_GetMiscTimezones, useMiscAdminApi_UpdateMiscCountrygroup_ByCountryGroupCode, useMiscApi_GetMiscCountries, useMiscApi_GetMiscLanguages, useMiscApi_GetMiscTime, useMiscApi_GetMiscTimezones, useNamespaceAdminApi_CreateNamespace, useNamespaceAdminApi_DeleteNamespace_ByNamespace, useNamespaceAdminApi_GetChild, useNamespaceAdminApi_GetContext, useNamespaceAdminApi_GetGame, useNamespaceAdminApi_GetNamespace_ByNamespace, useNamespaceAdminApi_GetNamespaces, useNamespaceAdminApi_GetPublisher, useNamespaceAdminApi_PatchBasic, useNamespaceAdminApi_PatchStatus, useNamespaceApi_GetNamespace_ByNamespace, useNamespaceApi_GetNamespaces, useNamespaceApi_GetPublisher, useUserProfileAdminApi_CreateProfilePublic, useUserProfileAdminApi_DeleteProfile_ByUserId, useUserProfileAdminApi_GetProfilesByPublicId, useUserProfileAdminApi_GetProfilesCustomAttributes_ByUserId, useUserProfileAdminApi_GetProfilesPrivateCustomAttributes_ByUserId, useUserProfileAdminApi_GetProfiles_ByUserId, useUserProfileAdminApi_PatchProfileStatus_ByUserId, useUserProfileAdminApi_UpdateProfileCustomAttribute_ByUserId, useUserProfileAdminApi_UpdateProfilePrivateCustomAttribute_ByUserId, useUserProfileAdminApi_UpdateProfile_ByUserId, useUserProfileApi_CreateProfilePublic, useUserProfileApi_CreateProfile_ByUserId, useUserProfileApi_CreateUserMeProfile, useUserProfileApi_GetProfilesCustomAttributes_ByUserId, useUserProfileApi_GetProfilesPublic, useUserProfileApi_GetProfilesPublicByPublicId, useUserProfileApi_GetProfilesPublic_ByUserId, useUserProfileApi_GetProfiles_ByUserId, useUserProfileApi_GetUsersMeProfiles, useUserProfileApi_GetUsersMeProfilesPrivateCustomAttributes, useUserProfileApi_GetUsersMeProfilesZipCode, useUserProfileApi_PatchProfileStatus_ByUserId, useUserProfileApi_PatchUserMeProfileZipCode, useUserProfileApi_UpdateProfileCustomAttribute_ByUserId, useUserProfileApi_UpdateProfile_ByUserId, useUserProfileApi_UpdateUserMeProfile, useUserProfileApi_UpdateUserMeProfilePrivateCustomAttribute };
